%global parrot_version 2.11.0

%define parrot_dynext  %{_libdir}/parrot/%{parrot_version}/dynext
%define par_lang_perl6 %{_libdir}/parrot/%{parrot_version}/languages/perl6

Name:           rakudo
Version:        2010.12
Release:        %mkrel 1

Summary:        A Perl compiler on Parrot
License:        Artistic 2.0
Group:          Development/Perl 
URL:            http://www.rakudo.org/
Source0:        http://github.com/downloads/rakudo/rakudo/%{name}-%{version}.tar.gz

BuildRequires:  gdbm-devel
BuildRequires:  gmp-devel
BuildRequires:  libicu-devel
BuildRequires:  ncurses-devel
BuildRequires:  parrot       >= %{parrot_version}
BuildRequires:  parrot-devel >= %{parrot_version}
BuildRequires:  parrot-src   >= %{parrot_version}
BuildRequires:  readline-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
Rakudo Perl 6, or just Rakudo, is a Perl 6 compiler for the Parrot virtual
machine. Rakudo is an implementation of the Perl 6 specification that runs
on the Parrot VM. More information about Perl 6 is available from:
http://perl6-projects.org

%prep
%setup -q -n %{name}-%{version}

%build
%{__perl} Configure.pl
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CREDITS LICENSE README
%{_bindir}/perl6
%{_mandir}/*
%{parrot_dynext}
%{par_lang_perl6}


%changelog
* Fri Dec 31 2010 Shlomi Fish <shlomif@mandriva.org> 2010.12-1mdv2011.0
+ Revision: 626916
- Upgraded to rakudo-2010.12

* Sat Oct 02 2010 Shlomi Fish <shlomif@mandriva.org> 2010.09-1mdv2011.0
+ Revision: 582559
- Bumped to 2010.09

* Thu Jul 29 2010 Jérôme Quelin <jquelin@mandriva.org> 2010.07-1mdv2011.0
+ Revision: 563177
- forgot to commit tarball
- update to 2010.07

* Sun May 09 2010 Jérôme Quelin <jquelin@mandriva.org> 2010.04-1mdv2010.1
+ Revision: 544158
- update to 2010.04

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 2010.03-1mdv2010.1
+ Revision: 526171
- 2010.03
- rebuild for new icu

* Tue Feb 23 2010 Jérôme Quelin <jquelin@mandriva.org> 2010.02-1mdv2010.1
+ Revision: 510039
- update to 2010.01

* Wed Feb 10 2010 Funda Wang <fwang@mandriva.org> 2010.01-2mdv2010.1
+ Revision: 503623
- rebuild for new gmp

* Mon Feb 01 2010 Jérôme Quelin <jquelin@mandriva.org> 2010.01-1mdv2010.1
+ Revision: 499179
- update to 2010-01

* Fri Dec 18 2009 Jérôme Quelin <jquelin@mandriva.org> 2009.12-1mdv2010.1
+ Revision: 479879
- update to 2009-12

* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 2009.11-1mdv2010.1
+ Revision: 474891
- fix group: to an acceptable value
- change version to yyyy.mm
- import rakudo


* Tue Dec  8 2009 Jerome Quelin <jquelin@mandriva.org> 0.2009.11-1
- initial spec file, inspired by fedora
